package fr.rolandl.mymovies.bo

import kotlinx.serialization.Serializable

@Serializable
data class Person(val firstname: String,
                  val lastname: String,
                  val birthDate: BirthDate,
                  val nationality: String)
{

  @Serializable
  data class BirthDate(val day: Int, val month: Int, val year: Int)

  val id: Int
    get() = hashCode()

}